
QGIS Application - Bug report #20767

Crash Processing Modeler

2018-12-10 10:55 PM - Matjaž Mori

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28587

Description

User Feedback

QGIS Crashing when trying to delete Input or Algotihms in Processing Modeler.

Report Details

Crash ID: e92542b6ffdbb5a00b14f290bfee658e58880140

Stack Trace

QgsProcessingFeatureSource::wkbType :

QgsProcessingModelChildAlgorithm::parameterSources :

QgsProcessingModelAlgorithm::childAlgorithmsDependOnParameter :

PyInit__core :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

QGraphicsItem::sceneEvent :

QGraphicsScene::sendEvent :

QGraphicsScene::sendEvent :

QGraphicsScene::mousePressEvent :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

QGraphicsScene::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGraphicsView::mousePressEvent :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyFunction_FastCallDict :

PyObject_Call :

PyInit_sip :

2025-04-27 1/3



QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-12-11 01:04 AM - Nyall Dawson

- Status changed from Open to Feedback

This should already be fixed for 3.4.3 - can you test the nightly releases and confirm?

#2 - 2018-12-11 11:43 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-12-11 10:05 PM - Matjaž Mori

I could not recreate crash with nightly releases.

It seem so be fixed.

#4 - 2018-12-11 10:27 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
